<?php
/**
 * Block Patterns
 *
 * @package academic_institute
 * @since 1.0
 */

function academic_institute_register_block_patterns() {
	$academic_institute_block_pattern_categories = array(
		'academic-institute' => array( 'label' => esc_html__( 'Academic Institute', 'academic-institute' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'academic-institute' ) ),
	);

	$academic_institute_block_pattern_categories = apply_filters( 'academic_institute_academic_institute_block_pattern_categories', $academic_institute_block_pattern_categories );

	foreach ( $academic_institute_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'academic_institute_register_block_patterns', 9 );